﻿using System.Windows.Forms;
using HeuristicLab.Analysis;
using HeuristicLab.Analysis.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
  [View("SlidingWindowBestSolutionCollectionHeatMapView")]
  [Content(typeof(HeatMap), false)]
  public partial class SlidingWindowBestSolutionsCollectionHeatMapView : HeatMapView {
    public SlidingWindowBestSolutionsCollectionHeatMapView() {
      InitializeComponent();

      var chartArea = chart.ChartAreas[0];
      chartArea.AxisX.Title = "Sliding window position";
      chartArea.AxisY.Title = "Best solution";
      chartArea.AxisY.IsReversed = true;
    }
  }
}
